Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228040 - cpio in /usr/bin conflicts with redhat-lsb and isn't FHS-compliant.
Summary: cpio in /usr/bin conflicts with redhat-lsb and isn't FHS-compliant.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cpio
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-09 17:48 UTC by James Wilkinson
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-19 09:04:18 UTC


Attachments (Terms of Use)

Description James Wilkinson 2007-02-09 17:48:57 UTC
Description of problem:
New cpio package conflicts with redhat-lsb

Version-Release number of selected component (if applicable):
cpio.i386 0:2.6-24.fc7

How reproducible:
Steps to Reproduce:
1. yum update cpio
Error: Missing Dependency: /bin/cpio is needed by package redhat-lsb

Additional info:
Downloading the package and rpm -qlp'ing it shows that cpio has moved to /usr/bin.

I can't quickly confirm that LSB requires cpio to be in /bin -- but the FHS does.
http://www.pathname.com/fhs/pub/fhs-2.3.html#BINESSENTIALUSERCOMMANDBINARIES says:

   The following programs, or symbolic links to programs, must be in /bin if the    
   corresponding subsystem is installed:

   Command	Description
   <snip>
   cpio	        The cpio archiving utility (optional)

Comment 1 Peter Vrabec 2007-02-19 09:04:18 UTC
fixed in 2.6-25


Note You need to log in before you can comment on or make changes to this bug.